package com.uas.platform.b2b.mobile.model;

import com.uas.platform.b2b.model.PurchaseOrderReply;

import java.util.Date;

/**
 * 采购单回复实体（app回复采购单用）
 * Created by dongbw
 * 18/01/20 10:39.
 */
public class OrderReply {

    /**
     * 数量
     */
    private Double qty;

    /**
     * 备注
     */
    private String remark;

    /**
     * 交货日期
     */
    private Date delivery;

    /**
     * 采购单明细id
     */
    private Long pdId;

    public Double getQty() {
        return qty;
    }

    public void setQty(Double qty) {
        this.qty = qty;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getDelivery() {
        return delivery;
    }

    public void setDelivery(Date delivery) {
        this.delivery = delivery;
    }

    public Long getPdId() {
        return pdId;
    }

    public void setPdId(Long pdId) {
        this.pdId = pdId;
    }

    public PurchaseOrderReply convert() {
        PurchaseOrderReply reply = new PurchaseOrderReply();
        reply.setDelivery(this.delivery);
        reply.setQty(this.qty);
        if (null != this.remark) {
            reply.setRemark(this.remark);
        }
        return reply;
    }
}
